Skip to contentManaged Kafka is live: Apache Kafka on AWS for half the cost of MSK

Snowflake Eco schedules

Create a Snowflake eco schedule

POST/snowflake-eco-schedules

Creates a new Snowflake eco schedule for the authenticated user's company.

Authorizations

  • Authorizationstringheaderrequired

    API key passed as a Bearer token in the Authorization header.

Request

curl --request POST \
  --url https://api.artie.com/snowflake-eco-schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "settings": {
    "days": [
      "<string>"
    ],
    "endTimeOfDay": "<string>",
    "offPeakBufferRows": 123,
    "offPeakFlushIntervalSeconds": 123,
    "offPeakFlushSizeKb": 123,
    "startTimeOfDay": "<string>",
    "timezone": "<string>"
  }
}'

Body

application/json

  • environmentUUIDstring<uuid> | null
  • namestringrequired
  • settingsobjectrequired
    Show child attributes
    • daysstring[]required
    • endTimeOfDaystringrequired
    • offPeakBufferRowsintegerrequired
    • offPeakFlushIntervalSecondsintegerrequired
    • offPeakFlushSizeKbintegerrequired
    • startTimeOfDaystringrequired
    • timezonestringrequired

Responses

200OKapplication/json

  • companystring<uuid>required
  • createdAtstring<date-time>required
  • environmentUUIDstring<uuid>required
  • namestringrequired
  • settingsobjectrequired
    Show child attributes
    • daysstring[]required
    • endTimeOfDaystringrequired
    • offPeakBufferRowsintegerrequired
    • offPeakFlushIntervalSecondsintegerrequired
    • offPeakFlushSizeKbintegerrequired
    • startTimeOfDaystringrequired
    • timezonestringrequired
  • updatedAtstring<date-time>required
  • uuidstring<uuid>required

400Bad Request

500Internal Server Error

200 OK
{
  "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "settings": {
    "days": [
      "<string>"
    ],
    "endTimeOfDay": "<string>",
    "offPeakBufferRows": 123,
    "offPeakFlushIntervalSeconds": 123,
    "offPeakFlushSizeKb": 123,
    "startTimeOfDay": "<string>",
    "timezone": "<string>"
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}